#!/bin/sh

usage() {
    echo "check-licence <executable> <file>"
    exit 1
}

if [ $# -lt 2 ]; then
    usage
fi

for lib in `ldd $1 | grep "lib[^/]" | \
    sed 's/.*\(lib.*\) =>.*/\1/'`; do
    for pkg in `dpkg -S $lib | sed 's/\(.*\):.*/\1/' | uniq`; do
        echo -n "$lib => " >> $2
        less /usr/share/doc/$pkg/copyright
        echo -n "license: "
        python -c 'print raw_input()' >> $2
    done
done
